-- Utility function for Euphoria versions prior to 3.1

global function find_from (object x, sequence source, integer start)
   -- searches for x in source, beginning at start
   -- in: x     : any object
   --     source: empty sequence ==> function returns 0
   --     start : [1, length(source)]
   integer p

   if start >= 1 and start <= length(source) then
      p = find(x, source[start..length(source)])
      if p then
         return start + p - 1
      end if
   end if
   return 0
end function
